<?php
/**
 * The view file of browse function of address module of Zdoo.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     address
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<table class='table table-bordered'>
  <thead>
    <tr class='text-center text-middle'>
      <th class='w-150px'><?php echo $lang->address->title;?></th>
      <th><?php echo $lang->address->location;?></th>
      <th class='w-100px'><?php echo $lang->actions;?></th>
    </tr>
  </thead>
  <tbody>
    <?php $i = 1; foreach($addresses as $address):?>
    <tr class='text-center'>
      <td><?php echo $address->title?></td>
      <td class='c-name'><?php echo $address->fullLocation;?></td>
      <td>
        <?php
        if($address->objectType == $objectType and $address->objectID == $objectID)
        {
            commonModel::printLink('address', 'edit', "addressID=$address->id", $lang->edit, "class='loadInModal'");
            commonModel::printLink('address', 'delete', "addressID=$address->id", $lang->delete, "class='deleter'");
        }
        ?>
      </td>
    </tr>
    <?php $i++;?>
    <?php endforeach;?>
  </tbody>
</table>
<div class='table-footer text-center form-actions'>
  <?php commonModel::printLink('address', 'create', "objectType=$objectType&objectID=$objectID", $lang->create, "class='loadInModal btn btn-primary' title='{$lang->address->create}'");?>
  <?php echo html::commonButton($lang->goback, 'btn btn-back', "data-dismiss='modal'");?>
</div>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
